Skip to main content
GET
/
api
/
v3
/
contributions
/
{contributionId}
Get Contribution
curl --request GET \
  --url https://server.stage.overflow.co/api/v3/contributions/{contributionId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-client-id: <api-key>'
{
  "data": {
    "id": "6710f34fd5061afeec3eab57",
    "createdAt": "2025-01-01T00:00:00.000Z",
    "updatedAt": "2025-01-01T00:00:00.000Z",
    "type": "CASH",
    "amount": 1000,
    "contributionDate": "2025-01-01T00:00:00.000Z",
    "contributionReceivedAt": "2023-11-07T05:31:56Z",
    "liquidationInitiatedAt": null,
    "receivedTokensAt": null,
    "status": "PAID_OUT",
    "stocks": {
      "quantity": 2,
      "tickers": [
        "AAPL",
        "MSFT"
      ]
    },
    "crypto": {
      "quantity": 1,
      "token": "BTC"
    },
    "frequency": "one-time",
    "paymentMethod": {
      "type": "Card",
      "logoUrl": "https://example.com/logo.png",
      "last4": "4242"
    },
    "depositId": "8810f34fd5061afeec3eab67",
    "campaign": {
      "id": "7710f34fd5061afeec3eab78",
      "name": "Mission 2025"
    },
    "subcampaign": {
      "id": "7710f34fd5061afeec3eab79",
      "name": "Toy Drive"
    },
    "dedication": "In memory of Lois Lane",
    "donorNotes": "Happy to support this cause!",
    "donor": {
      "id": "6710f34fd5061afeec3eab57",
      "createdAt": "2025-01-01T00:00:00.000Z",
      "updatedAt": "2025-01-01T00:00:00.000Z",
      "firstName": "John",
      "lastName": "Doe",
      "email": "john.doe@example.com",
      "phone": "+1234567890",
      "address": {
        "line1": "123 Main St",
        "line2": "Apt 1",
        "city": "Anytown",
        "state": "CA",
        "zip": "12345"
      },
      "activeRecurringCount": 1,
      "latestContributionDate": "2025-01-01T00:00:00.000",
      "locationIds": [
        "6710f34fd5061afeec3eab57"
      ],
      "totalContributionsCount": 10
    },
    "donorCoveredFees": false,
    "subscriptionId": "6710f34fd5061afeec3eab57",
    "anonymous": false,
    "locationId": "6710f34fd5061afeec3eab58",
    "metadata": {
      "orderId": "12345",
      "campaign": "spring-2026"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.overflow.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Client ID for API authentication

x-api-key
string
header
required

API Key for API authentication

Path Parameters

contributionId
string
required

Response

data
object
required

Contribution.